Subject: Re: [bitcoin-dev] Fork of invalid blocks due to BIP66 violations

From: Gregory Maxwell <[email-masked]>
Date: Sat, 4 Jul 2015 03:17:17 +0000

On Sat, Jul 4, 2015 at 3:11 AM, Raystonn <[email-masked]> wrote:
> We need some analysis on why this has happened.  It appears the larger hashrate is violating BIP66.  Thus it appears the network is rejecting this BIP, though potentially accidentally.  If this is an accident, how is such a large portion of hashrate forking, and what can we do to avoid this in the future?

A near majority of the hashrate on the network appears to be SPV mining.

Btcnuggets was a non-upgraded miner that produced an invalid block
after the lock in and f2pool and antpool have been extending it.
Fortunately their extension contains no transactions (an artifact of
SPV mining).  Obviously a complete understanding is going to take some
time;  though I would note that this general failure mode was one we
were aware of and is part of the reason the treshold is so high.